using System.Collections.Generic;
using OpenCvSharp;

namespace squirrowse.web.Data
{
    public interface IDetection
    {
        Mat DetectTypes(Mat frame, Filters filter);
        IEnumerable<Rect> FaceDetection(Mat frame);
        IEnumerable<Rect> UpperBodyDetect(Mat frame);
        IEnumerable<Rect> LowerBodyDetect(Mat frame);
    }
}